CFGMAINT(1)

NAME
cfgmaint - configuration tool for Visual Builder

SYNTAX
cfgmaint [ -rbxop ] command object [ parameters ]

DESCRIPTION
Maintains widget palette configuration for the Visual Builder. It can be stored in the system-wide and the local user config files. "cfgmaint" allows adding, renaming, moving, and deleting the classes and pages in the Visual Builder widget palette.

USAGE
"cfgmaint" is invoked with "command" and "object" arguments, where "command" defines the action to be taken, and "object" - the object to be handled.

  Options

-r  Write configuration to the system-wide config file

-b  Read configuration from both system-wide and user config files

-x  Do not write backups

-o  Read-only mode

-p  Execute "use Prima;" code before start. This option might be necessary when adding a module that relies on the toolkit but does not invoke the code itself.

  Objects

m   Selects a module. Valid for add, list, and remove commands.

p   Selects a page. Valid for all commands.

w   Selects a widget. Valid for list, remove, rename, and move commands.

  Commands

a   Adds a new object to the configuration. Can be either a page or a module.

d   Removes an object.

l   Prints object name. In case object is a widget, prints all registered widgets. If the string is specified as an additional parameter, it is treated as a page name and only widgets from the page are printed.

r   Renames an object to a new name, which is passed as additional parameter. Can be either a widget or a page.

m   If "object" is a widget, relocates one or more widgets to a new page. If "object" is a page, moves the page before the page specified as an additional parameter, or to the end if no additional page specified.

EXAMPLE
Add a new module to the system-wide configuration:

        cfgmaint -r a m CPAN/Prima/VB/New/MyCtrls.pm

List widgets, present in both config files:

        cfgmaint -b l w

Rename a page:

        cfgmaint r p General Basic

FILES
Prima/VB/Config.pm, ~/.prima/vbconfig

AUTHOR
Dmitry Karasik, <dmitry@karasik.eu.org>.

SEE ALSO
VB, Prima::VB::CfgMaint